local mod = RW:Boss("Argent Confessor Paletress", "Party - WOTLK", "Trial of the Champion")
local L

mod.type = "party"

mod.BossIcon = [[Interface\Icons\INV_Helmet_52]]

local tRenewCast = nil
local wRenew = nil
local shield = false

function mod:OnRegister()
	L = mod:RegisterLocale(self:GetName(), "enUS", true)
	if L then
		L.win = "Excellent work!"
	end
	L = mod:GetLocale()
	self.L = L	
	self:SetWin(L.win)
	self:SetTrigger(34928)
	
	tRenewCast	= self:CastTimer(66537, 67675)
	wRenew = self:CastWarning(66537, 67675)
end

function mod:OnEngage(trigger)
	self:TrackAura("Shield", 66515)
	self:TrackCastStart("Renew", 66537, 67675)
end

function mod:Shield(applied,args)
	if applied then 
		shield = true 
	else
		shield = false
	end
end

function mod:Renew(args)
	if shield then return end
	tRenewCast:Start()
	wRenew:Show()
end